| Home | Libraries | People | FAQ | More

##### make_list

###### Description

Create a `list` from one or more values.

###### Synopsis

    template <typename T0, typename T1,... typename TN>
    typename result_of::make_list<T0, T1,... TN>::type
    make_list(T0 const& x0, T1 const& x1... TN const& xN);

The variadic function accepts `0` to `FUSION_MAX_LIST_SIZE` elements, where `FUSION_MAX_LIST_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_LIST_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_LIST_SIZE 20

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`x0, x1,... xN` | Instances of `T0, T1,... TN` | The arguments to `make_list`

###### Expression Semantics

    make_list(x0, x1,... xN);

Return type: `result_of::make_list``<T0, T1,... TN>::type`

Semantics: Create a `list` from `x0, x1,... xN`.

###### Header

    #include <boost/fusion/container/generation/make_list.hpp>
    #include <boost/fusion/include/make_list.hpp>

###### Example

    make_list(123, "hello", 12.5)

###### See also

`boost::ref`